# register_calculation_schema

`openff.evaluator.layers.``register_calculation_schema`(property_class, layer_class, schema)

  Registers the default calculation schema to use when estimating a class of properties (e.g. Density) with a specific calculation layer (e.g. the SimulationLayer).

  Parameters

    - property_class (type of PhysicalProperty) – The class of properties to associate with the specified calculation_layer and property_class.

    - layer_class (type of CalculationLayer) – The calculation layer to associate the schema with.

    - schema (CalculationLayerSchema or Callable[[CalculationLayerSchema], CalculationLayerSchema]) – Either the calculation schema to use, or a function which will create the schema from an existing CalculationLayerSchema.